xine-lib: demux_matroska_t Struct Reference

xine-lib 1.2.12

Data Fields
demux_matroska_t Struct Reference

`#include <demux_matroska.h>`

## Data Fields
demux_plugin_t | demux_plugin
xine_stream_t * | stream
input_plugin_t * | input
int | status
ebml_parser_t * | ebml
ebml_elem_t | segment
uint64_t | timecode_scale
int | duration
int | preview_sent
int | preview_mode
char * | title
int | has_seekhead
int | seekhead_handled
matroska_index_t * | indexes
int | num_indexes
int | first_cluster_found
int | skip_to_timecode
int | skip_for_track
int | num_tracks
int | num_video_tracks
int | num_audio_tracks
int | num_sub_tracks
matroska_track_t * | tracks [128]
size_t | compress_maxlen
int | num_editions
int | cap_editions
matroska_edition_t ** | editions
uint8_t * | block_data
size_t | block_data_size
matroska_track_t * | video_track
matroska_track_t * | audio_track
matroska_track_t * | sub_track
uint64_t | last_timecode
int | send_newpts
int | buf_flag_seek
int | top_level_list_size
int | top_level_list_max_size
off_t * | top_level_list
xine_event_queue_t * | event_queue

## Field Documentation

## ◆ audio_track

matroska_track_t* demux_matroska_t::audio_track

## ◆ block_data

uint8_t* demux_matroska_t::block_data

## ◆ block_data_size

size_t demux_matroska_t::block_data_size

## ◆ buf_flag_seek

int demux_matroska_t::buf_flag_seek

## ◆ cap_editions

int demux_matroska_t::cap_editions

## ◆ compress_maxlen

size_t demux_matroska_t::compress_maxlen

## ◆ demux_plugin

demux_plugin_t demux_matroska_t::demux_plugin

## ◆ duration

int demux_matroska_t::duration

## ◆ ebml

ebml_parser_t* demux_matroska_t::ebml

## ◆ editions

matroska_edition_t** demux_matroska_t::editions

## ◆ event_queue

xine_event_queue_t* demux_matroska_t::event_queue

## ◆ first_cluster_found

int demux_matroska_t::first_cluster_found

## ◆ has_seekhead

int demux_matroska_t::has_seekhead

## ◆ indexes

matroska_index_t* demux_matroska_t::indexes

## ◆ input

input_plugin_t* demux_matroska_t::input

## ◆ last_timecode

uint64_t demux_matroska_t::last_timecode

## ◆ num_audio_tracks

int demux_matroska_t::num_audio_tracks

## ◆ num_editions

int demux_matroska_t::num_editions

## ◆ num_indexes

int demux_matroska_t::num_indexes

## ◆ num_sub_tracks

int demux_matroska_t::num_sub_tracks

## ◆ num_tracks

int demux_matroska_t::num_tracks

## ◆ num_video_tracks

int demux_matroska_t::num_video_tracks

## ◆ preview_mode

int demux_matroska_t::preview_mode

## ◆ preview_sent

int demux_matroska_t::preview_sent

## ◆ seekhead_handled

int demux_matroska_t::seekhead_handled

## ◆ segment

ebml_elem_t demux_matroska_t::segment

## ◆ send_newpts

int demux_matroska_t::send_newpts

## ◆ skip_for_track

int demux_matroska_t::skip_for_track

## ◆ skip_to_timecode

int demux_matroska_t::skip_to_timecode

## ◆ status

int demux_matroska_t::status

## ◆ stream

xine_stream_t* demux_matroska_t::stream

## ◆ sub_track

matroska_track_t* demux_matroska_t::sub_track

## ◆ timecode_scale

uint64_t demux_matroska_t::timecode_scale

## ◆ title

char* demux_matroska_t::title

## ◆ top_level_list

off_t* demux_matroska_t::top_level_list

## ◆ top_level_list_max_size

int demux_matroska_t::top_level_list_max_size

## ◆ top_level_list_size

int demux_matroska_t::top_level_list_size

## ◆ tracks

matroska_track_t* demux_matroska_t::tracks[128]

## ◆ video_track

matroska_track_t* demux_matroska_t::video_track

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/demuxers/demux_matroska.h